Skip to main content

Submit Repair Request

POST 

/api/public/repairs

Submit Repair Request.

Request fields:

  • purchase_place (optional): In:in:"own_site","department_store","other_retailer"
  • lookup_token (optional): string, max:4000, RequiredIf:required
  • registration_token (optional): string, max:4000
  • receipt_upload_token (optional): string, max:4000, RequiredIf:
  • retailer_name (optional): string, max:120, RequiredIf:
  • purchased_on (optional): date_format:Y-m-d, before_or_equal:today
  • name (required): string, max:120
  • email (required): email:filter, max:190, Closure
  • phone (optional): string, max:40
  • shipping_address (optional): array
  • shipping_address.name (optional): string, max:120
  • shipping_address.company (optional): string, max:120
  • shipping_address.address1 (required): string, max:190
  • shipping_address.address2 (optional): string, max:190
  • shipping_address.city (required): string, max:120
  • shipping_address.province_code (optional): string, max:20
  • shipping_address.zip (optional): string, max:20
  • shipping_address.country_code (required): string, size:2
  • shipping_address.phone (optional): string, max:40
  • inbound_method (optional): In:in:"customer_ships","drop_off","no_return_needed"
  • drop_off_warehouse_id (required): integer
  • lines (required): array, min:1, max:20
  • lines.*.sales_order_line_id (optional): integer
  • lines.*.product_id (optional): integer
  • lines.*.product_text (optional): string, max:255
  • lines.*.quantity (optional): integer, min:1, max:999
  • lines.*.requested_service (optional): Enum:in:"repair","replate","replace"
  • lines.*.issue_type_ids (optional): array, max:20
  • lines.*.issue_type_ids.* (optional): integer
  • lines.*.description (optional): string, max:1000
  • lines.*.upload_tokens (optional): array, max:3
  • lines.*.upload_tokens.* (optional): string, max:4000
  • lines.*.component_product_ids (optional): array, max:20
  • lines.*.component_product_ids.* (optional): integer
  • website (optional): string, max:200 Authentication: none (public, rate limited).

Request​

Responses​

OK

Response Headers
    Content-Type